# Changelog

## 2025-01-24 - 2.1.1 - fix(documentation)
Improved and updated README with detailed usage instructions

- Replaced placeholder text in README with complete usage guide
- Added comprehensive examples for parsing and stringifying frontmatter data
- Included detailed instructions on how to install and use the Smartfm class

## 2025-01-23 - 2.1.0 - feat(ci)
Introduce new CI workflows for Gitea and remove GitLab CI

- Added .gitea/workflows/default_nottags.yaml and .gitea/workflows/default_tags.yaml for Gitea CI workflow.
- Removed .gitlab-ci.yml indicating a shift from GitLab CI to Gitea CI.
- Updated package.json to use updated repository URLs conforming to the new hosting strategy.
- Updated README.md and npmextra.json with new npm package name and repository details.

## 2024-04-01 - 2.0.4 - Maintenance
Switch to a new organizational scheme and multiple updates to `npmextra.json`.

- Updated `npmextra.json` multiple times for consistency with `githost`.
- Switched to a new organization scheme.

## 2019-09-04 - 2.0.1 to 2.0.4 - Core Updates
Continual core updates to enhance stability.

- Core updates implemented in versions 2.0.1, 2.0.2, and 2.0.3.

## 2018-08-27 - 2.0.0 - Dependencies
Significant updates in dependencies management.

- Removed obsolete import of `typings-global`.
- Introduction of the 2.x series with dependency fixes.

## 2018-08-27 - 1.0.5 - BREAKING CHANGE
Transition to a new organizational scope.

- Switched to `@pushrocks` scope, marking a major change in project organization.

## 2017-05-27 - 1.0.3 - 1.0.4 - Configuration Updates
Enhancements in configuration and standards.

- Added `npmextra.json`.
- Updated CI YAML file.
- Adopted latest project standards.

## 2016-11-14 - 1.0.0 to 1.0.2 - Initial Release & Improvements
Initial project release with subsequent improvements.

- Initial working release.
- Improved Readme for better user guidance.
- Continuous updates to align with project standards.

